echo on; clear all
t0=0; tfinal=0.4; tspan=[t0 tfinal]; % initial and final time
y0=[10 5 -5]';                       % initial conditions
[t,y]=ode45('c5_2_5b',tspan,y0);     % ode45 MATLAB solver
% Plot of the time history found by solving 
% three differential equations assigned in the file c5_2_5b.m
% 3-D plot using x1, x2 and x3 as the variables
plot3(y(:,1),y(:,2),y(:,3))
xlabel('x1'), ylabel('x2'), zlabel('x3')
text(10,5,-5,'x0 Initial')
v=axis
pause
% 3-D plot using x1, x3 and time as the variables
plot3(y(:,1),y(:,3),t)
xlabel('x1'), ylabel('x3'), zlabel('time')
text(10,-5,0,'x0 Initial')
v=axis
pause
% 2-D plots
subplot(2,2,1); plot(t,y);
xlabel('Time (seconds)'); 
title('Dynamics of the state variables');
subplot(2,2,2); plot(t,y(:,1),'-');
xlabel('Time (seconds)'); title('Voltage uc (x1), [V]');
subplot(2,2,3); plot(t,y(:,2),'--');
xlabel('Time (seconds)'); title('Current iL (x2), [A]');
subplot(2,2,4); plot(t,y(:,3),':');
xlabel('Time (seconds)'); title('Current ia (x3), [A]');
disp('END');